<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:app="http://schemas.android.com/apk/res-auto"
  xmlns:tools="http://schemas.android.com/tools"
  android:layout_width="match_parent"
  android:layout_height="match_parent"
  tools:context=".activity.ReceiveActivity">

  <TextView
    android:id="@+id/receiveDescription"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/layout_margins"
    android:paddingHorizontal="@dimen/layout_margins"
    android:text="@string/receive_description"
    app:layout_constraintEnd_toEndOf="parent"
    app:layout_constraintStart_toStartOf="parent"
    app:layout_constraintTop_toTopOf="parent" />

  <TextView
    android:id="@+id/preambleStatus"
    android:layout_width="0dp"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/component_spacing_small"
    android:paddingHorizontal="@dimen/layout_margins"
    android:text="@string/preamble_status_not_detected"
    android:textColor="#FF0000"
    app:layout_constraintEnd_toEndOf="parent"
    app:layout_constraintStart_toStartOf="parent"
    app:layout_constraintTop_toBottomOf="@+id/receiveDescription" />

  <TextView
    android:id="@+id/headerStatus"
    android:layout_width="0dp"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/component_spacing_small"
    android:paddingHorizontal="@dimen/layout_margins"
    app:layout_constraintEnd_toEndOf="parent"
    app:layout_constraintStart_toStartOf="parent"
    app:layout_constraintTop_toBottomOf="@+id/preambleStatus" />

  <TextView
    android:id="@+id/receiveValue"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/component_spacing"
    android:text="___"
    android:textSize="48sp"
    app:layout_constraintEnd_toEndOf="parent"
    app:layout_constraintStart_toStartOf="parent"
    app:layout_constraintTop_toBottomOf="@+id/headerStatus" />

  <TextView
    android:id="@+id/restartDescription"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/component_spacing"
    android:paddingHorizontal="@dimen/layout_margins"
    android:text="@string/restart_description"
    app:layout_constraintEnd_toEndOf="parent"
    app:layout_constraintStart_toStartOf="parent"
    app:layout_constraintTop_toBottomOf="@+id/receiveValue" />

  <Button
    android:id="@+id/restartButton"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_marginTop="8dp"
    android:onClick="restartReceiveProcess"
    android:text="@string/restart_button_label"
    app:layout_constraintEnd_toEndOf="parent"
    app:layout_constraintStart_toStartOf="parent"
    app:layout_constraintTop_toBottomOf="@+id/restartDescription" />

</androidx.constraintlayout.widget.ConstraintLayout>
